%
%   Dynamic Part Regressors fusion for visual object tracking
%
%   Alireza Memarmoghadam, 2017
%
%   This is the research code of our DPRF tracker. You can check the
%   details in our future paper.
%

function [ contexts ] = addParts( im,particles,pos,target_sz,param )

n = size(particles,2);
if n==0
    contexts={};
    return
end

sigma = particles([3,4,3,4],:)/3;
sigma(3:4,:) = sigma(3:4,:)/2;
sigma(3:4,:) = repmat(sqrt(sum(sigma(3:4,:).^2,1)), [2,1]);
par = particles + [randn(2,n).*sigma(1:2,:);sigma(3:4,:)]; 

addDistributedPatches; 

i = 1; 

for ind=1:n
    contexts{i}={};
    p=round(par(1:2,ind)');
    contexts{i}.pos = p;  
    sz=round(par(3:4,ind)');
    
%     if prod(sz > [15 15]) > 0 && prod(sz < 0.6*size(im)) > 0 %r951228 for matlab 2011b
%     if prod(single(sz > [15 15])) > 0 && prod(single(sz < 0.6*size(im))) > 0 %c951228 for matlab 2011b %r960118
    if prod(single(sz > [15 15])) > 0 && prod(single(sz < 0.6*[size(im,1),size(im,2)])) > 0 %c951228 for matlab 2011b %c960118 for 3d color im
        contexts{i}.target_sz = sz; 
    else
        contexts{i}.target_sz = ceil([min(target_sz) min(target_sz)]);
    end
    
    contexts{i}.displace = pos - p;
    
    if inBox(target_sz,pos,p,1) 
        contexts{i}.target=1;
        i = i+1; 
    else
        contexts{i}.target=0;
    end
   

end


end
