function out = get_scaled_subwindow(im, pos, sz, scale_factor)
%%GET_SCALED_SUBWINDOW Extracts a resized image based on a given input position 
% and size while checking out-of-bound borders.

sz_ref_model = sz; 
sz = floor(scale_factor.*sz); 

if isscalar(sz),  %square sub-window
    sz = [sz, sz];
end

xs = floor(pos(2)) + (1:sz(2)) - floor(sz(2)/2); 
ys = floor(pos(1)) + (1:sz(1)) - floor(sz(1)/2); 

%check for out-of-bounds coordinates, and set them to the values at
%the borders
xs(xs < 1) = 1;
ys(ys < 1) = 1;
xs(xs > size(im,2)) = size(im,2);
ys(ys > size(im,1)) = size(im,1);

%extract image
im_patch = im(ys, xs, :);

% resize to reference size %a940807
out = imresize(im_patch, sz_ref_model, 'bilinear', 'AntiAliasing',false);

end

