function [state, location] = tracker_DPRF_run(state, im, params)

state.frame = state.frame + 1; %avot2017

target_sz = state.size([2,1]); %avot2017
pos = state.position([2,1]); %avot2017

contexts_resp_cum = 0; 
        nPos_patch = 0;
        %track the parts
        patch_num = numel(state.contexts);
        for i=1:patch_num 
            state.contexts{i}.bi_weight = (state.weights(i)>=0.02); 
            state.contexts{i} = kcftracker(im, state.contexts{i}, params, pos, state.scale_factor, state.w2c); 
            if isfield(state.contexts{i},'response')  
                yf = fftshift(state.contexts{i}.yf);
                [vert_delta, horiz_delta] = find(yf==max(yf(:)), 1);
                max_disp = min(params.max_disp_init,floor(0.5*min(size(yf,1),size(yf,2))-1)); 
                if max_disp>floor(0.5*size(contexts_resp_cum,1)) && i>1, max_disp = floor(0.5*size(contexts_resp_cum,1));end 
                
                if vert_delta<(max_disp+1), vert_delta = max_disp+1;end %to prevent error in determining state.contexts{i}.response
                if horiz_delta<(max_disp+1), horiz_delta = max_disp+1;end  %to prevent error in determining state.contexts{i}.response
                state.contexts{i}.response_box = state.contexts{i}.response(vert_delta-max_disp:vert_delta+max_disp,horiz_delta-max_disp:horiz_delta+max_disp);
                contexts_resp_cum = contexts_resp_cum + state.weights(i)*state.contexts{i}.response_box; 
                nPos_patch = nPos_patch+1;
            end
        end
                
        iiid=1:100;
        ixx=1:100;
        
        
            if contexts_resp_cum,
                contexts_resp_cum = contexts_resp_cum/nPos_patch;
                [row, col] = find(contexts_resp_cum == max(contexts_resp_cum(:)), 1);
                [row, col] = subPixelPeak(contexts_resp_cum, row, col);
                pos_trgt = pos + params.cell_size*state.scale_factor.*([row-1, col-1] - floor((2*max_disp+1)/2))/1;
            end
            pos = pos_trgt; 
            
            Ridge_Reg_weighting; 
            
            switch params.scale_est_mode 
                case 1
                    Scale_factor_estimation; 
                case 2
                    RPT_scale_factor_estimation; 
                case 3
%                     state.scale_factor = scale_factors_GT(frame,:);
                case 4
                    Scale_Angle_factors_estimation;
            end
                    
       
          
           
            n=numel(state.contexts);
            nn=0;
            points=[];

            target_sz = state.original.*state.scale_factor; 
            
           
          
            n = numel(state.contexts);
            
            psr = [];


            for i=1:n
                if isfield(state.contexts{i},'psr') && state.contexts{i}.psr >0 
                    prob = state.contexts{i}.psr * size(state.contexts{i}.traj,1);
                    if isfield(state.contexts{i},'motionP') 
                        prob = prob* state.contexts{i}.motionP;
                    end
                    psr = [psr prob];
                    iiid = [iiid i];
                end
            end
            
            [~,ixx] = sort(psr,'descend');
            csize = 20;
            if csize > size(psr,2)
                csize = size(psr,2);
            end
            ixx = ixx(1:csize);
            
       
        
    %save position and size
    state.position = pos([2,1]);
    state.size = target_sz([2,1]); %avot2017

    location = [state.position - state.size/2, state.size];

    location = str2num(num2str(location)); %to debug the line code 120: " traxserver('status', region); " in vot.m file
    

end
